staging: rtl8192u: remove redundant assignment to pointer crypt
[linux/fpc-iii.git] / tools / testing / selftests / bpf / test_libbpf.sh
blob2989b2e2d856d3f546338b70fe5ad2ad3952c416
1 #!/bin/sh
2 # SPDX-License-Identifier: GPL-2.0
4 export TESTNAME=test_libbpf
6 # Determine selftest success via shell exit code
7 exit_handler()
9 if [ $? -eq 0 ]; then
10 echo "selftests: $TESTNAME [PASS]";
11 else
12 echo "$TESTNAME: failed at file $LAST_LOADED" 1>&2
13 echo "selftests: $TESTNAME [FAILED]";
17 libbpf_open_file()
19 LAST_LOADED=$1
20 if [ -n "$VERBOSE" ]; then
21 ./test_libbpf_open $1
22 else
23 ./test_libbpf_open --quiet $1
27 # Exit script immediately (well catched by trap handler) if any
28 # program/thing exits with a non-zero status.
29 set -e
31 # (Use 'trap -l' to list meaning of numbers)
32 trap exit_handler 0 2 3 6 9
34 libbpf_open_file test_l4lb.o
36 # Load a program with BPF-to-BPF calls
37 libbpf_open_file test_l4lb_noinline.o
39 # Load a program compiled without the "-target bpf" flag
40 libbpf_open_file test_xdp.o
42 # Success
43 exit 0